CWIS Developer Documentation

- Home
- Main Page
- Namespaces
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

Public Member Functions | Protected Attributes | List of all members
MetadataFieldGroup Class Reference

Class that builds on the foldering functionality to provide groups of metadata fields. More...

Inheritance diagram for MetadataFieldGroup:
[legend]
Collaboration diagram for MetadataFieldGroup:
[legend]

## Public Member Functions
| GetFields ()
| Get the items of the metadata field group as objects instead of IDs. More...
| GetFieldCount ()
| Get the number of metadata fields this group holds. More...
Public Member Functions inherited from Folder
| __construct ($FolderId)
| Object constructor – load an existing folder. More...
| Delete ()
| Delete folder. More...
| Id ()
| Get folder ID. More...
| Name ($NewValue=DB_NOVALUE)
| Get/set folder name. More...
| NormalizedName ($NewValue=DB_NOVALUE)
| Get/set normalized version of folder name. More...
| IsShared ($NewValue=DB_NOVALUE)
| Get/set whether folder is publically-viewable. More...
| OwnerId ($NewValue=DB_NOVALUE)
| Get/set user ID of folder owner. More...
| Note ($NewValue=DB_NOVALUE)
| Get/set note text for folder. More...
| InsertItemBefore ($TargetItemOrItemId, $NewItemOrItemId, $TargetItemType=NULL, $NewItemType=NULL)
| Insert item into folder before specified item. More...
| InsertItemAfter ($TargetItemOrItemId, $NewItemOrItemId, $TargetItemType=NULL, $NewItemType=NULL)
| Insert item into folder after specified item. More...
| PrependItem ($ItemOrItemId, $ItemType=NULL)
| Add item to folder as the first item. More...
| AppendItem ($ItemOrItemId, $ItemType=NULL)
| Add item to folder as the last item. More...
| AppendItems ($ItemsOrItemIds, $ItemTypes=NULL)
| Add multiple items to the folder at the end. More...
| GetItemIds ($Offset=NULL, $Length=NULL)
| Retrieve array of IDs of items in folder, in the order that they appear in the folder. More...
| GetItemCount ()
| Get number of items in folder. More...
| RemoveItem ($ItemId, $ItemType=NULL)
| Remove item from folder, if present. More...
| NoteForItem ($ItemId, $NewValue=DB_NOVALUE, $ItemType=NULL)
| Get/set note text for specific item within folder. More...
| ContainsItem ($ItemId, $ItemType=NULL)
| Check whether specified item is contained in folder. More...

## Protected Attributes
| $FieldCount
| The number of metadata fields the group contains. More...

## Additional Inherited Members
Static Public Member Functions inherited from Folder
static | NormalizeFolderName ($Name)
| Convert folder name to normalized form (lower-case alphanumeric only). More...
static | GetItemTypeId ($TypeName)
Public Attributes inherited from Folder
const | MIXEDCONTENT = -1

## Detailed Description

Class that builds on the foldering functionality to provide groups of metadata fields.

Definition at line 14 of file MetadataFieldGroup.php.

## Member Function Documentation

MetadataFieldGroup::GetFieldCount | ( |  | ) |

Get the number of metadata fields this group holds.

Returns
  Returns the number of metadata fields this group holds.

Definition at line 47 of file MetadataFieldGroup.php.

References $FieldCount, and Folder\GetItemIds().

MetadataFieldGroup::GetFields | ( |  | ) |

Get the items of the metadata field group as objects instead of IDs.

Returns
  Returns an array of metadata field objects.

Definition at line 21 of file MetadataFieldGroup.php.

References $Items, and Folder\GetItemIds().

## Member Data Documentation

MetadataFieldGroup::$FieldCount
| protected

The number of metadata fields the group contains.

Definition at line 60 of file MetadataFieldGroup.php.

Referenced by GetFieldCount().

The documentation for this class was generated from the following file:

- objects/MetadataFieldGroup.php